OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.ComputeShader

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBComputeShader :: MonadIO m => m Bool
- gl_ARB_compute_shader :: Bool
- gl_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_COMPUTE_SHADER :: GLenum
- gl_COMPUTE_SHADER :: GLenum
- gl_COMPUTE_SHADER_BIT :: GLbitfield
- gl_COMPUTE_WORK_GROUP_SIZE :: GLenum
- gl_DISPATCH_INDIRECT_BUFFER :: GLenum
- gl_DISPATCH_INDIRECT_BUFFER_BINDING :: GLenum
- gl_MAX_COMBINED_COMPUTE_UNIFORM_COMPONENTS :: GLenum
- gl_MAX_COMPUTE_ATOMIC_COUNTERS :: GLenum
- gl_MAX_COMPUTE_ATOMIC_COUNTER_BUFFERS :: GLenum
- gl_MAX_COMPUTE_IMAGE_UNIFORMS :: GLenum
- gl_MAX_COMPUTE_SHARED_MEMORY_SIZE :: GLenum
- gl_MAX_COMPUTE_TEXTURE_IMAGE_UNITS :: GLenum
- gl_MAX_COMPUTE_UNIFORM_BLOCKS :: GLenum
- gl_MAX_COMPUTE_UNIFORM_COMPONENTS :: GLenum
- gl_MAX_COMPUTE_WORK_GROUP_COUNT :: GLenum
- gl_MAX_COMPUTE_WORK_GROUP_INVOCATIONS :: GLenum
- gl_MAX_COMPUTE_WORK_GROUP_SIZE :: GLenum
- gl_UNIFORM_BLOCK_REFERENCED_BY_COMPUTE_SHADER :: GLenum
- glDispatchCompute :: MonadIO m => GLuint -> GLuint -> GLuint -> m ()
- glDispatchComputeIndirect :: MonadIO m => GLintptr -> m ()

# Extension Support

glGetARBComputeShader :: MonadIO m => m Bool

Is the ARB_compute_shader extension supported?

gl_ARB_compute_shader :: Bool

Is the ARB_compute_shader extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBComputeShader` in those cases instead.

# Enums

gl_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_COMPUTE_SHADER :: GLenum

gl_COMPUTE_SHADER :: GLenum

gl_COMPUTE_SHADER_BIT :: GLbitfield

gl_COMPUTE_WORK_GROUP_SIZE :: GLenum

gl_DISPATCH_INDIRECT_BUFFER :: GLenum

gl_DISPATCH_INDIRECT_BUFFER_BINDING :: GLenum

gl_MAX_COMBINED_COMPUTE_UNIFORM_COMPONENTS :: GLenum

gl_MAX_COMPUTE_ATOMIC_COUNTERS :: GLenum

gl_MAX_COMPUTE_ATOMIC_COUNTER_BUFFERS :: GLenum

gl_MAX_COMPUTE_IMAGE_UNIFORMS :: GLenum

gl_MAX_COMPUTE_SHARED_MEMORY_SIZE :: GLenum

gl_MAX_COMPUTE_TEXTURE_IMAGE_UNITS :: GLenum

gl_MAX_COMPUTE_UNIFORM_BLOCKS :: GLenum

gl_MAX_COMPUTE_UNIFORM_COMPONENTS :: GLenum

gl_MAX_COMPUTE_WORK_GROUP_COUNT :: GLenum

gl_MAX_COMPUTE_WORK_GROUP_INVOCATIONS :: GLenum

gl_MAX_COMPUTE_WORK_GROUP_SIZE :: GLenum

gl_UNIFORM_BLOCK_REFERENCED_BY_COMPUTE_SHADER :: GLenum

# Functions

glDispatchCompute

Arguments

:: MonadIO m |
=> GLuint | `num_groups_x`.
-> GLuint | `num_groups_y`.
-> GLuint | `num_groups_z`.
-> m () |

Manual page for OpenGL 4.x.

glDispatchComputeIndirect

Arguments

:: MonadIO m |
=> GLintptr | `indirect` of type `BufferOffset`.
-> m () |

Manual page for OpenGL 4.x.